## eole-fichier 2.7.1-7

=== Makefile ===
################################
# Makefile pour eole-fichier-common
################################

export SOURCE=eole-fichier
export EOLE_VERSION=2.7
export EOLE_RELEASE=2.7.1
PKGAPPS=non

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-fichier (2.7.1-7) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [366d008] Remove deprecated postservice script '00-fichier-primaire'
  * [e1a329f] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [cd87240] Joël Cuissinat: Update package since “debian/eole/2.7.1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 13 Jun 2019 15:15:08 +0200

eole-fichier (2.7.1-6) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [f6610ad] Don't manage winbind with Creole. It is restarted in postservice
  * [18534d0] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [8679e4a] Fabrice Barconnière: Update package since “debian/eole/2.7.1-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 13 Jun 2019 11:15:06 +0200

eole-fichier (2.7.1-5) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d93649b] nscd must be removed
  * [c3dde89] smbldap_tools : use specific smb.conf file
  * [a1242fa] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [7d54298] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 03 Jun 2019 10:42:40 +0200

eole-fichier (2.7.1-4) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [86853d9] nscd is no longer welcome
  * [540d2b4] nscd is no longer welcome
  * [b08cbab] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [f4d8168] Joël Cuissinat: Update package since “debian/eole/2.7.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 27 May 2019 16:04:30 +0200

eole-fichier (2.7.1-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [49a31c7] Corrections cosmétiques sur dico schedule
  * [7f0dc8f] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [7a096fb] Joël Cuissinat: Update package since “debian/eole/2.7.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 07 May 2019 11:45:16 +0200

eole-fichier (2.7.1-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [ae4319d] winbind logrotate was done even when winbind was disabled
  * [d13ab2f] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [fb436c0] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 30 Jan 2019 14:05:53 +0100

eole-fichier (2.7.1-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [eadb1a8] Prepare version 2.7.1
  * [2a1ed4b] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [943bbc5] Fix Makefile for 2.7.1
  * [05b7ece] Merge branch 'master'

  [ Emmanuel Garette ]
  * [238dbeb] acl_directories is now in EAD3 family (ref #26312)

  [ Benjamin Bohard ]
  * [0aee2cd] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [7840b2d] Benjamin Bohard: Update package since “debian/eole/2.7.0-21”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 21 Jan 2019 16:05:08 +0100

=== debian/control ===
Source: eole-fichier
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               nodejs,
               npm,
               ca-certificates
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-fichier/repository

Package: eole-fichier-common
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, quota, acl,
 eole-antivirus
# python-fichier, eole-sso-client,
# eole-fichier-primaire | eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires communs à
 fichier-primaire et fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-common-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, acl, quota, quotatool,
 samba, samba-common-bin, smbclient,
 winbind, libpam-winbind, tdb-tools,
 samba-vfs-modules, samba-dsdb-modules
Conflicts: nscd
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-common
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common,
 eole-client-annuaire, eole-userpassword
Conflicts: eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un contrôleur de domaine principal
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, client-annuaire-pkg, smbldap-tools,
 eole-python-fichier (>=2.4.0-5), libnss-winbind
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-primaire
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre
Architecture: all
Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common, eole-nsswitch
Conflicts: eole-fichier-primaire
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un serveur membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, krb5-config, krb5-user,
 eole-python-fichier (>=2.4.0-5), libnss-winbind
Description: serveur de fichier membre EOLE (metapackage)
 Dépendances pour eole-fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-userpassword
Architecture: all
Depends: ${misc:Depends}
Description: Templates et dictionnaires pour le paramètrage des mots de passe
 Templates et dictionnaires liés à la gestion des mots de passe
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-actions
Architecture: all
Depends: ${misc:Depends}, quota, acl
Description: Actions génériques sur les fichiers
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@

override_dh_clean:
	dh_clean node_modules/ build/


override_dh_installinit:
	dh_installinit --noscripts --name=smbd

override_dh_systemd_enable:
	dh_systemd_enable --name=smbd

override_dh_auto_configure:
	HOME=/tmp npm install polymer-cli@1.2

override_dh_auto_build:
	mkdir -p dist/static/acl/custom
	mkdir -p dist/static/quota/custom

	cd ./actions/extra/acl/custom; ../../../../node_modules/.bin/polymer build
	cp -r ./actions/extra/acl/custom/build/default/* dist/static/acl/custom/
	cd ./actions/extra/quota/custom; ../../../../node_modules/.bin/polymer build
	cp -r ./actions/extra/quota/custom/build/default/* dist/static/quota/custom/
	dh_auto_build

override_dh_install:
	dh_install -p eole-fichier-actions dist/static/* usr/share/eole/creole/extra/
	dh_install

.PHONY: override_dh_installinit override_dh_systemd_enable override_dh_auto_configure override_dh_auto_build

## eole-fichier 2.7.1-8

=== debian/changelog ===
eole-fichier (2.7.1-8) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2fea45a] Remove deprecated smb options
  * [6cead4c] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [afa608b] Joël Cuissinat: Update package since “debian/eole/2.7.1-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 14 Jun 2019 10:16:12 +0200

## eole-fichier 2.7.1-16

=== debian/changelog ===
eole-fichier (2.7.1-16) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [8f92037] Checkquota test restricted to user and group
  * [f0c0ccb] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9778d56] Fabrice Barconnière: Update package since “debian/eole/2.7.1-15”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Apr 2021 14:40:35 +0200

eole-fichier (2.7.1-15) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4a60ec3] Remove "guest" mode in eole-fichier
  * [12db539] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [02e8050] Joël Cuissinat: Update package since “debian/eole/2.7.1-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Jun 2020 18:58:05 +0200

eole-fichier (2.7.1-14) eole-2.7.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [4364656] Moving variable to a better location.
  * [1376dd1] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [290beb5] Philippe Caseiro: Update package since “debian/eole/2.7.1-13”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 08 Jun 2020 09:57:07 +0200

eole-fichier (2.7.1-13) eole-2.7.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [8010222] Fixing dico destination
  * [cd5fe5c] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ab684b7] Philippe Caseiro: Update package since “debian/eole/2.7.1-12”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 15:09:46 +0200

eole-fichier (2.7.1-12) eole-2.7.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [9fced78] Adding variable to enable username in pass check
  * [f680cce] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [a17a731] Philippe Caseiro: Update package since “debian/eole/2.7.1-11”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 10:49:23 +0200

eole-fichier (2.7.1-11) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ea3f273] Update label for smb_netbios_name variable
  * [f6a8f82] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [0f1678e] Joël Cuissinat: Update package since “debian/eole/2.7.1-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 03 Feb 2020 11:53:29 +0100

eole-fichier (2.7.1-10) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [cdd5607] NetBios port test is deprecated in zephir-client
  * [1352bff] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9715476] Joël Cuissinat: Update package since “debian/eole/2.7.1-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Jul 2019 14:42:00 +0200

eole-fichier (2.7.1-9) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [793c2fd] Remove deprecated nmblookup test
  * [ff4fd54] Remove deprecated diagnose test
  * [f42a063] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [34bc2b1] Joël Cuissinat: Update package since “debian/eole/2.7.1-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Jun 2019 12:31:41 +0200

## eole-fichier 2.7.2-2

=== debian/changelog ===
eole-fichier (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ea3f273] Update label for smb_netbios_name variable
  * [4ee5a75] Merge branch '2.7.1/master' into 2.7.2/master
  * [8cfebc0] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e6eb0f8] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 16 Apr 2020 14:53:55 +0200

eole-fichier (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [6258a8c] Prepare version 2.7.2
  * [d965d33] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Joël Cuissinat ]
  * [cdd5607] NetBios port test is deprecated in zephir-client
  * [42f93a3] Merge branch '2.7.1/master'
  * [03dc7db] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [61a3f19] Joël Cuissinat: Update package since “debian/eole/2.7.1-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Jul 2019 14:46:58 +0200

## eole-fichier 2.7.2-6

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export SOURCE=eole-fichier
 export EOLE_VERSION=2.7
-export EOLE_RELEASE=2.7.1
+export EOLE_RELEASE=2.7.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-fichier (2.7.2-6) eole-2.7.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [9fced78] Adding variable to enable username in pass check
  * [8010222] Fixing dico destination
  * [4364656] Moving variable to a better location.

  [ Joël Cuissinat ]
  * [4a60ec3] Remove "guest" mode in eole-fichier
  * [93e7618] Merge branch '2.7.1/master' into 2.7.2/master
  * [60c4d56] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [430ca2e] Joël Cuissinat: Update package since “debian/eole/2.7.2-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Jun 2020 18:59:23 +0200

eole-fichier (2.7.2-5) eole-2.7.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [6c375db] Moving variable to a better location.
  * [2d569c6] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7cc71bc] Philippe Caseiro: Update package since “debian/eole/2.7.2-4”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 08 Jun 2020 09:57:46 +0200

eole-fichier (2.7.2-4) eole-2.7.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [cbaa13c] Fixing dico destination
  * [a307815] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [befdc51] Philippe Caseiro: Update package since “debian/eole/2.7.2-3”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 15:24:53 +0200

eole-fichier (2.7.2-3) eole-2.7.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [4c3700c] Adding variable to enable username in pass check
  * [9c7e46c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1156c84] Philippe Caseiro: Update package since “debian/eole/2.7.2-2”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 05 Jun 2020 10:50:21 +0200

## eole-fichier 2.7.2-28

=== debian/changelog ===
eole-fichier (2.7.2-28) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2c2590d] Calculer la différence par rapport aux ACL par défaut en priorité.
  * [d7e5130] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [cc94802] Benjamin Bohard: Update package since “debian/eole/2.7.2-27”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Apr 2024 08:36:34 +0200

eole-fichier (2.7.2-27) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [81cf664] Réduire le temps d’exécution en limitant les appels système.
  * [9aff28f] Réduire le temps d’exécution en construisant moins de listes.
  * [1243753] Vérifier que le script n’est pas déjà en cours d’exécution.
  * [0cca204] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [ef79708] Benjamin Bohard: Update package since “debian/eole/2.7.2-26”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 08 Apr 2024 11:55:28 +0200

eole-fichier (2.7.2-26) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1e3b439] Réduire le temps d’exécution en limitant les écritures.
  * [9a8dd1c] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3f3aa86] Benjamin Bohard: Update package since “debian/eole/2.7.2-25”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 21 Mar 2024 16:20:52 +0100

eole-fichier (2.7.2-25) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [466ff4d] Utiliser le même code sur 2.7.2 et 2.8.1.
  * [66784a9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1a96faa] Benjamin Bohard: Update package since “debian/eole/2.7.2-24”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Feb 2024 16:38:00 +0100

eole-fichier (2.7.2-24) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [be1039c] Permettre l’analyse des dossiers contenant des espaces.
  * [8dc0bea] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [4e0f975] Benjamin Bohard: Update package since “debian/eole/2.7.2-23”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 07 Feb 2024 10:33:25 +0100

eole-fichier (2.7.2-23) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [7b3eede] Faire l’union des listes obtenues par getent et wbinfo.
  * [b160e41] Afficher les listes complètes
  * [365e960] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [968b76e] Benjamin Bohard: Update package since “debian/eole/2.7.2-22”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 01 Feb 2024 16:07:04 +0100

eole-fichier (2.7.2-22) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2ae0dba] Ajout du format csv et sauvegarde multiple.
  * [5430037] Déplacement des fichiers sauvés dans les fichiers EAD3.
  * [bd6181a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [6fb789a] Benjamin Bohard: Update package since “debian/eole/2.7.2-21”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 01 Feb 2024 14:06:21 +0100

eole-fichier (2.7.2-21) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [a4c6d90] Utiliser un parser donnant un meilleur rendu.
  * [03d522b] Révision du script
  * [8ff55e8] La conversion des ids en noms est falcultative et tardive.
  * [33dce17] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [9c4f7e3] Benjamin Bohard: Update package since “debian/eole/2.7.2-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 Nov 2023 12:32:52 +0100

eole-fichier (2.7.2-20) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1d58ef6] Affichage d’informations de debug superflu.
  * [e9b3cac] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d7686ab] Benjamin Bohard: Update package since “debian/eole/2.7.2-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Jun 2023 16:18:50 +0200

eole-fichier (2.7.2-19) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [8c048f9] L’utilisation de Samba pour lister les partages est optionnelle.
  * [4831dc5] Les informations des groupes sont récupérées avec le module grp.
  * [e1b1f4d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [4c67415] Benjamin Bohard: Update package since “debian/eole/2.7.2-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Jun 2023 16:01:44 +0200

eole-fichier (2.7.2-18) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1598881] Utiliser la sortie formatée en tableau pour les actions EAD3.
  * [f31b854] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [fd00cf7] Benjamin Bohard: Update package since “debian/eole/2.7.2-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 13 Jun 2023 10:46:20 +0200

eole-fichier (2.7.2-17) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9022140] Récupérer l’index de l’élément à enlever de la liste.
  * [b5557fa] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [097a3f2] Benjamin Bohard: Update package since “debian/eole/2.7.2-16”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 22 Feb 2023 09:11:59 +0100

eole-fichier (2.7.2-16) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [774621b] Fournir une sortie en tableau.

  [ EOLE Build Daemon ]
  * [7131ebb] Benjamin Bohard: Update package since “debian/eole/2.7.2-15”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 03 Feb 2023 07:57:25 +0100

eole-fichier (2.7.2-15) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [658b98a] Fournir une sortie en tableau.
  * [25e3156] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [5c3e798] Benjamin Bohard: Update package since “debian/eole/2.7.2-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 02 Feb 2023 16:07:02 +0100

eole-fichier (2.7.2-14) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [256503c] Typo dans le nom de dossier de destination.



=== debian/control ===
--- 
+++ 
@@ -93,7 +93,7 @@
 
 Package: eole-fichier-actions
 Architecture: all
-Depends: ${misc:Depends}, quota, acl
+Depends: ${misc:Depends}, quota, acl, python3-pylibacl, python3-tabulate
 Description: Actions génériques sur les fichiers
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-fichier 2.8.0-11

=== debian/changelog ===
eole-fichier (2.8.0-11) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bfdb7f9] Remove nmbd service from eole-fichier
  * [2f9c2ab] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a5f0a57] Joël Cuissinat: Update package since “debian/eole/2.8.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Dec 2020 12:04:32 +0100

eole-fichier (2.8.0-10) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3a8d3f9] Replace file by open context and operator / by //
  * [a5f9f87] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [516289b] Benjamin Bohard: Update package since “debian/eole/2.8.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Sep 2020 15:58:13 +0200

eole-fichier (2.8.0-9) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [72a886f] Update shebang of python 3 scripts
  * [5e7d75f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2b400ff] Benjamin Bohard: Update package since “debian/eole/2.8.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Sep 2020 15:31:14 +0200

eole-fichier (2.8.0-8) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [5f36bae] portage de 00-fix-home-fstab en python3 (ref #30662)
  * [d59e462] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [122378e] Emmanuel Garette: Update package since “debian/eole/2.8.0-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 16:15:40 +0200

eole-fichier (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [e7ef703] remove eole-python-fichier dependencies (ref #30662)

  [ EOLE Build Daemon ]
  * [b816592] Emmanuel Garette: Update package since “debian/eole/2.8.0-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Sep 2020 12:04:48 +0200

eole-fichier (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Philippe Caseiro ]
  * [9fced78] Adding variable to enable username in pass check
  * [8010222] Fixing dico destination
  * [4364656] Moving variable to a better location.

  [ Joël Cuissinat ]
  * [4a60ec3] Remove "guest" mode in eole-fichier
  * [93e7618] Merge branch '2.7.1/master' into 2.7.2/master
  * [b2a1c53] Merge branch '2.7.2/master'
  * [fe828db] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [844cd82] Joël Cuissinat: Update package since “debian/eole/2.8.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Jun 2020 19:00:24 +0200

eole-fichier (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [4ee5a75] Merge branch '2.7.1/master' into 2.7.2/master
  * [2f8ed93] Merge branch '2.7.2/master'
  * [a4171f4] Merge branch 'master' into dist/eole/2.8.0/master

  [ Philippe Caseiro ]
  * [4c3700c] Adding variable to enable username in pass check
  * [cbaa13c] Fixing dico destination
  * [6c375db] Moving variable to a better location.

  [ EOLE Build Daemon ]
  * [a1b8002] Joël Cuissinat: Update package since “debian/eole/2.8.0-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Jun 2020 15:07:07 +0200

eole-fichier (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Philippe Caseiro ]
  * [71be0c8] Adding variable to enable username in pass check
  * [442e8c2] Merge branch 'master' into dist/eole/2.8.0/master
  * [8e0de7b] Moving variable to a better location.
  * [e58ce5c] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [13c992a] Philippe Caseiro: Update package since “debian/eole/2.8.0-3”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 08 Jun 2020 09:59:19 +0200

eole-fichier (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [53250d4] installer eole-python3-fichier en même temps que eole-python-fichier (ref #29728)
  * [194d583] restore des quotas en python3 (ref #29752)
  * [9111882] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8ecd44b] Emmanuel Garette: Update package since “debian/eole/2.8.0-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 20 Mar 2020 11:09:13 +0100

eole-fichier (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ea3f273] Update label for smb_netbios_name variable
  * [18dfb45] Merge branch '2.7.1/master'
  * [7c89694] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [649bce2] Joël Cuissinat: Update package since “debian/eole/2.8.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 24 Feb 2020 15:15:25 +0100

eole-fichier (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [67b87b3] Prepare version 2.8.0
  * [7103e72] Merge branch 'master' into dist/eole/2.8.0/master

  [ Joël Cuissinat ]
  * [2c5a49f] "winbind trusted domains only" option is removed on EOLE 2.8.0
  * [783aa50] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7e04179] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 05 Feb 2020 09:28:17 +0100

## eole-fichier 2.8.0-19

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 export SOURCE=eole-fichier
-export EOLE_VERSION=2.7
-export EOLE_RELEASE=2.7.2
+export EOLE_VERSION=2.8
+export EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-fichier (2.8.0-19) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [42260fa] récupération des utilisateur AD ref #33509

  [ Emmanuel Garette ]
  * [f061007] Merge branch '2.7.2/master' into 2.8.0/master
  * [755f1bf] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [71dc414] Emmanuel Garette: Update package since “debian/eole/2.8.0-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Jun 2022 14:04:06 +0200

eole-fichier (2.8.0-18) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7478f76] Adjust OOM Score for smbd (ref #33940)
  * [025212b] Merge branch '2.7.2/master' into 2.8.0/master
  * [beb9fd8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f2f0175] Joël Cuissinat: Update package since “debian/eole/2.8.0-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 10 Mar 2022 10:38:52 +0100

eole-fichier (2.8.0-17) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a510126] correction script 01-fix-home-fstab (ref #33727)
  * [bf907c5] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [26fb902] Emmanuel Garette: Update package since “debian/eole/2.8.0-16”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Feb 2022 16:13:08 +0100

eole-fichier (2.8.0-16) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9a73bd1] Hide smb_share_model variable
  * [02cf72a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6c4ec3b] Joël Cuissinat: Update package since “debian/eole/2.8.0-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 08 Dec 2021 10:28:24 +0100

eole-fichier (2.8.0-15) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [712a2a4] Remove smb_log_level
  * [b96cbd6] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c509eb2] Joël Cuissinat: Update package since “debian/eole/2.8.0-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 16 Jul 2021 15:41:25 +0200

eole-fichier (2.8.0-14) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [203944f] Remove/hide deprecated NT variables
  * [e598205] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6731ed9] Joël Cuissinat: Update package since “debian/eole/2.8.0-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 16 Jul 2021 11:49:23 +0200

eole-fichier (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [10f18a0] Checkquota test restricted to user and group

  [ lseys ]
  * [b2fa3f5] ref #32061 ajout dans fichier /common/tmpl/smb/conf

  [ Emmanuel Garette ]
  * [032f1b9] Revert "ref #32061 ajout dans fichier /common/tmpl/smb/conf"

  [ Joël Cuissinat ]
  * [72574a1] manage warnquota activation with /etc/default/quota
  * [fe91182] Merge branch '2.7.2/master' into 2.8.0/master
  * [59f0c0e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0726ec0] Joël Cuissinat: Update package since “debian/eole/2.8.0-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 15 Jul 2021 17:03:07 +0200

eole-fichier (2.8.0-12) eole-2.8.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [66ae991] Checkquota test restricted to user and group
  * [79e7821] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [330331d] Fabrice Barconnière: Update package since “debian/eole/2.8.0-11”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Apr 2021 14:52:22 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: eole-fichier-common
 Architecture: all
-Depends: ${misc:Depends}, ${python-depends}, quota, acl,
+Depends: ${misc:Depends}, ${python3-depends}, quota, acl,
  eole-antivirus
 # python-fichier, eole-sso-client,
 # eole-fichier-primaire | eole-fichier-membre
@@ -41,7 +41,7 @@
 
 Package: eole-fichier-primaire
 Architecture: all
-Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common,
+Depends: ${misc:Depends}, ${python3-depends}, eole-fichier-common,
  eole-client-annuaire, eole-userpassword
 Conflicts: eole-fichier-membre
 Description: Templates et dictionnaires pour serveur de fichier EOLE
@@ -54,7 +54,7 @@
 Section: metapackages
 Architecture: all
 Depends: ${misc:Depends}, client-annuaire-pkg, smbldap-tools,
- eole-python-fichier (>=2.4.0-5), libnss-winbind
+ libnss-winbind, eole-python3-fichier,
 Description: serveur de fichier EOLE (metapackage)
  Dépendances pour eole-fichier-primaire
  .
@@ -63,7 +63,7 @@
 
 Package: eole-fichier-membre
 Architecture: all
-Depends: ${misc:Depends}, ${python-depends}, eole-fichier-common, eole-nsswitch
+Depends: ${misc:Depends}, ${python3-depends}, eole-fichier-common, eole-nsswitch
 Conflicts: eole-fichier-primaire
 Description: Templates et dictionnaires pour serveur de fichier EOLE
  Templates et dictionnaires pour un serveur membre
@@ -75,7 +75,7 @@
 Section: metapackages
 Architecture: all
 Depends: ${misc:Depends}, krb5-config, krb5-user,
- eole-python-fichier (>=2.4.0-5), libnss-winbind
+ libnss-winbind, eole-python3-fichier,
 Description: serveur de fichier membre EOLE (metapackage)
  Dépendances pour eole-fichier-membre
  .
@@ -93,7 +93,7 @@
 
 Package: eole-fichier-actions
 Architecture: all
-Depends: ${misc:Depends}, quota, acl, python3-pylibacl, python3-tabulate
+Depends: ${misc:Depends}, quota, acl
 Description: Actions génériques sur les fichiers
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-fichier 2.8.1-7

=== debian/changelog ===
eole-fichier (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [614abd7] system_code n'est pas utilisé
  * [ea79a66] pouvoir rester les quotas sans eole-fichier (ref #32370)
  * [369ca43] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [95005ac] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 21 May 2021 09:18:56 +0200

eole-fichier (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c1490ec] fusion de la gestion des quotas entre scribe et seth (ref #32096)
  * [7026801] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4c9e385] Emmanuel Garette: Update package since “debian/eole/2.8.1-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 22 Apr 2021 15:46:50 +0200

eole-fichier (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [9cf5b22] packaging de eole-fichier-quota (ref #32095)

  [ EOLE Build Daemon ]
  * [3c873ba] Emmanuel Garette: Update package since “debian/eole/2.8.1-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 09 Apr 2021 17:18:16 +0200

eole-fichier (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [26fdfb9] packaging de eole-fichier-quota (ref #32095)
  * [624482c] création du projet eole-fichier-quota (ref #32095)
  * [6ddb86b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0a99b39] Emmanuel Garette: Update package since “debian/eole/2.8.1-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 09 Apr 2021 17:08:06 +0200

eole-fichier (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [2cfa266] Checkquota test restricted to user and group
  * [8f92037] Checkquota test restricted to user and group
  * [176c4c4] Merge branch 'issue/31365'
  * [b305fad] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [250c535] Fabrice Barconnière: Update package since “debian/eole/2.8.1-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 07 Apr 2021 14:54:41 +0200

eole-fichier (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [bfdb7f9] Remove nmbd service from eole-fichier
  * [94130cb] Merge branch '2.8.0/master'
  * [eaa1882] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c1f8f8d] Joël Cuissinat: Update package since “debian/eole/2.8.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Dec 2020 17:07:33 +0100

eole-fichier (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5f1e462] Prepare version 2.8.1
  * [e3a8ee0] Merge branch 'master' into dist/eole/2.8.1/master

  [ Benjamin Bohard ]
  * [72a886f] Update shebang of python 3 scripts
  * [7f34f04] Merge branch '2.8.0/master'
  * [3a8d3f9] Replace file by open context and operator / by //
  * [61019ca] Merge branch '2.8.0/master'

  [ Joël Cuissinat ]
  * [0fae759] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e6a395f] Joël Cuissinat: Update package since “debian/eole/2.8.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 25 Nov 2020 10:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 Package: eole-fichier-common
 Architecture: all
-Depends: ${misc:Depends}, ${python3-depends}, quota, acl,
- eole-antivirus
+Depends: ${misc:Depends}, ${python3-depends}, acl,
+ eole-antivirus, eole-fichier-quota
 # python-fichier, eole-sso-client,
 # eole-fichier-primaire | eole-fichier-membre
 Description: Templates et dictionnaires pour serveur de fichier EOLE
@@ -98,3 +98,13 @@
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
+
+Package: eole-fichier-quota
+Replaces: eole-fichier-common (<< 2.8.1-4)
+Breaks: eole-fichier-common (<< 2.8.1-4)
+Architecture: all
+Depends: ${misc:Depends}, quota, quotatool
+Description: Gestion des quotas
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.

## eole-fichier 2.8.1-36

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export SOURCE=eole-fichier
 export EOLE_VERSION=2.8
-export EOLE_RELEASE=2.8.0
+export EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== actions/Makefile ===
export SOURCE=eole-fichier
EOLE_VERSION=2.6
export EOLE_RELEASE=2.6.1
PKGAPPS=non

include ../eole.mk
include ../apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-fichier (2.8.1-36) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2c2590d] Calculer la différence par rapport aux ACL par défaut en priorité.
  * [71723db] Merge branch '2.7.2/master' into 2.8.0/master
  * [16016b7] Merge branch '2.8.0/master' into 2.8.1/master
  * [f3fe6c6] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1892fcf] Benjamin Bohard: Update package since “debian/eole/2.8.1-35”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Apr 2024 08:38:31 +0200

eole-fichier (2.8.1-35) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [81cf664] Réduire le temps d’exécution en limitant les appels système.
  * [9aff28f] Réduire le temps d’exécution en construisant moins de listes.
  * [1243753] Vérifier que le script n’est pas déjà en cours d’exécution.
  * [687ff41] Merge branch '2.7.2/master' into 2.8.0/master
  * [b295c91] Merge branch '2.8.0/master' into 2.8.1/master
  * [440f280] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e692a61] Benjamin Bohard: Update package since “debian/eole/2.8.1-34”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 08 Apr 2024 11:57:43 +0200

eole-fichier (2.8.1-34) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1e3b439] Réduire le temps d’exécution en limitant les écritures.
  * [9d5205e] Merge branch '2.7.2/master' into 2.8.0/master
  * [769fbb6] Merge branch '2.8.0/master' into 2.8.1/master
  * [a2f8368] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3afcc12] Benjamin Bohard: Update package since “debian/eole/2.8.1-33”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 21 Mar 2024 16:22:45 +0100

eole-fichier (2.8.1-33) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [466ff4d] Utiliser le même code sur 2.7.2 et 2.8.1.
  * [ce27647] Merge branch '2.7.2/master' into 2.8.0/master
  * [261b2aa] Merge branch '2.8.0/master' into 2.8.1/master
  * [3f4db87] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [cb281f6] Benjamin Bohard: Update package since “debian/eole/2.8.1-32”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Feb 2024 16:39:59 +0100

eole-fichier (2.8.1-32) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [78ff59a] Action pour résumer les modifications d'ACL.
  * [658b98a] Fournir une sortie en tableau.
  * [9022140] Récupérer l’index de l’élément à enlever de la liste.
  * [1598881] Utiliser la sortie formatée en tableau pour les actions EAD3.
  * [8c048f9] L’utilisation de Samba pour lister les partages est optionnelle.
  * [4831dc5] Les informations des groupes sont récupérées avec le module grp.
  * [1d58ef6] Affichage d’informations de debug superflu.
  * [a4c6d90] Utiliser un parser donnant un meilleur rendu.
  * [03d522b] Révision du script
  * [8ff55e8] La conversion des ids en noms est falcultative et tardive.
  * [2ae0dba] Ajout du format csv et sauvegarde multiple.
  * [88e3bfb] Merge branch '2.7.2/master' into 2.8.0/master
  * [5bd379b] Merge branch '2.8.0/master' into 2.8.1/master
  * [7e7b4e7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [cfab3fb] WIP: install new action
  * [52e7188] WIP: dependancies
  * [5430037] Déplacement des fichiers sauvés dans les fichiers EAD3.
  * [f0fad60] Merge branch '2.7.2/master' into 2.8.0/master
  * [eb99083] Merge branch '2.8.0/master' into 2.8.1/master
  * [e21991f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [7b3eede] Faire l’union des listes obtenues par getent et wbinfo.
  * [b160e41] Afficher les listes complètes
  * [1c02161] Merge branch '2.7.2/master' into 2.8.0/master
  * [d0f894f] Merge branch '2.8.0/master' into 2.8.1/master
  * [371fb71] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [be1039c] Permettre l’analyse des dossiers contenant des espaces.
  * [7a1665f] Merge branch '2.7.2/master' into 2.8.0/master
  * [eefddd4] Merge branch '2.8.0/master' into 2.8.1/master
  * [e3f08a8] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f66fc49] Benjamin Bohard: Update package since “debian/eole/2.8.1-31”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Feb 2024 13:35:04 +0100

eole-fichier (2.8.1-31) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [43acfef] Contourner les limitations de la fonction Math.round
  * [438d8df] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3e8a555] Benjamin Bohard: Update package since “debian/eole/2.8.1-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 13 Dec 2022 09:48:57 +0100

eole-fichier (2.8.1-30) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a998065] Ne pas multiplier le résultat affiché.
  * [b065e44] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [49f38cb] Benjamin Bohard: Update package since “debian/eole/2.8.1-29”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 13 Dec 2022 09:11:36 +0100

eole-fichier (2.8.1-29) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [3ec58ef] EAD3/quota : chargement des traductions de l'interface (ref #34182)
  * [e14c3e7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2ccf99b] Philippe Caseiro: Update package since “debian/eole/2.8.1-28”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 06 Dec 2022 12:32:14 +0100

eole-fichier (2.8.1-28) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [0af5306] EAD3/quota : chargement des traductions de l'interface (ref #34182)
  * [d14d07c] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [9604db4] Philippe Caseiro: Update package since “debian/eole/2.8.1-27”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 06 Dec 2022 12:17:59 +0100

eole-fichier (2.8.1-27) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]


=== debian/control ===
--- 
+++ 
@@ -93,7 +93,7 @@
 
 Package: eole-fichier-actions
 Architecture: all
-Depends: ${misc:Depends}, quota, acl
+Depends: ${misc:Depends}, quota, acl, python3-pylibacl, python3-tabulate
 Description: Actions génériques sur les fichiers
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-fichier 2.9.0-6

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 export SOURCE=eole-fichier
-export EOLE_VERSION=2.8
-export EOLE_RELEASE=2.8.1
+export EOLE_VERSION=2.9
+export EOLE_RELEASE=2.9.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-fichier (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [96b44fc] Revert "smbldap utilise un utilisateur de synchronisation (ref #33696)"
  * [7042390] Création de la variable reverse_login (ref #34006)
  * [f061007] Merge branch '2.7.2/master' into 2.8.0/master
  * [ebd227f] Merge branch '2.8.0/master' into 2.8.1/master
  * [6ac77d2] Merge branch '2.8.1/master'

  [ Joël Cuissinat ]
  * [7478f76] Adjust OOM Score for smbd (ref #33940)
  * [025212b] Merge branch '2.7.2/master' into 2.8.0/master
  * [bd74214] Merge branch '2.8.0/master' into 2.8.1/master
  * [183117e] Merge branch '2.8.1/master'
  * [ea00a30] Merge branch '2.8.1/master'
  * [3bc6369] Merge branch 'master' into dist/eole/2.9.0/master

  [ Matthieu Lamalle ]
  * [42260fa] récupération des utilisateur AD ref #33509

  [ EOLE Build Daemon ]
  * [6aad37e] Joël Cuissinat: Update package since “debian/eole/2.9.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Jul 2022 17:29:19 +0200

eole-fichier (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [44b0c8b] La construction de l’application polymer produit des fichiers non installés.

  [ EOLE Build Daemon ]
  * [032c9f0] Benjamin Bohard: Update package since “debian/eole/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 12 Jul 2022 08:43:57 +0200

eole-fichier (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [dddc2c5] compat (ref #33905)
  * [881ae03] Revert "smbldap utilise un utilisateur de synchronisation (ref #33696)"
  * [5568d71] Revert "changement chemin de ldap.conf (ref #33736)" ref #33905 This reverts commit b6cdbe526124ab0b91251b2a7d6f287aa02e5699.
  * [0c6402c] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [efc9bd9] Emmanuel Garette: Update package since “debian/eole/2.9.0-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 04 Mar 2022 16:11:42 +0100

eole-fichier (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a510126] correction script 01-fix-home-fstab (ref #33727)
  * [a84bb4e] Merge branch '2.8.0/master' into 2.8.1/master

  [ Joël Cuissinat ]
  * [d61a040] Merge branch '2.8.1/master'
  * [5032425] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b63d693] Joël Cuissinat: Update package since “debian/eole/2.9.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Feb 2022 16:02:17 +0100

eole-fichier (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [cb57948] mise à jour du rules (ref #33736)

  [ EOLE Build Daemon ]
  * [54355b7] Emmanuel Garette: Update package since “debian/eole/2.9.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 27 Jan 2022 12:43:55 +0100

eole-fichier (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7b1206b] Prepare version 2.9.0
  * [e7458b1] Merge branch 'master' into dist/eole/2.9.0/master
  * [f2640e0] fix(makefile): installing files requires directories first

  [ Emmanuel Garette ]
  * [2f91565] mise à jour du rules (ref #33736)
  * [f2add59] smbldap utilise un utilisateur de synchronisation (ref #33696)
  * [819ae0b] Merge branch '2.8.1/master'
  * [b6cdbe5] changement chemin de ldap.conf (ref #33736)
  * [4761924] Merge branch 'master' into dist/eole/2.9.0/master

  [ Matthieu Lamalle ]
  * [60457fd] récupération utilisateurs ad dans quota ref #33532

  [ EOLE Build Daemon ]
  * [4120bd7] Emmanuel Garette: Update package since “debian/eole/2.8.1-19”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 27 Jan 2022 12:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
-               dh-systemd,
                nodejs,
                npm,
                ca-certificates
@@ -93,7 +92,7 @@
 
 Package: eole-fichier-actions
 Architecture: all
-Depends: ${misc:Depends}, quota, acl, python3-pylibacl, python3-tabulate
+Depends: ${misc:Depends}, quota, acl
 Description: Actions génériques sur les fichiers
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
